### Method

# GLib Rand copy

since: 2.4

#### Declaration [src]

    GRand*
    g_rand_copy (
      GRand* rand_
    )

#### Description [src]

Copies a `GRand` into a new one with the same exact state as before. This way you can take a snapshot of the random number generator for replaying later.

Available since: 2.4

#### Return value

Type: `GRand`

The new `GRand`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.